/** @addtogroup sctrace
 * @{
 */
/** @file
 */

#include "syscalls.h"

const sc_desc_t syscall_desc[] = {
    { "io",				3,	RV_INT_ERRNO },
    { "tls_set",			1,	RV_ERRNO },
    { "thread_create",			3,	RV_ERRNO },
    { "thread_exit",			1,	RV_ERRNO },
    { "thread_get_id",			1,	RV_ERRNO },

    { "task_get_id",			1,	RV_ERRNO },
    { "futex_sleep_timeout",		3,	RV_ERRNO },
    { "futex_wakeup",			1,	RV_ERRNO },

    { "as_area_create",			3,	RV_ERRNO },
    { "as_area_resize",			3,	RV_ERRNO },
    { "as_area_destroy",		1,	RV_ERRNO },

    { "ipc_call_sync_fast",		6,	RV_ERRNO },
    { "ipc_call_sync_slow",		3,	RV_ERRNO },
    { "ipc_call_async_fast",		6,	RV_HASH },
    { "ipc_call_async_slow",		2,	RV_HASH },

    { "ipc_answer_fast",		6,	RV_ERRNO },
    { "ipc_answer_slow",		2,	RV_ERRNO },
    { "ipc_forward_fast",		6,	RV_ERRNO },
    { "ipc_wait_for_call",		3,	RV_HASH },
    { "ipc_hangup",			1,	RV_ERRNO },
    { "ipc_register_irq",		4,	RV_ERRNO },
    { "ipc_unregister_irq",		2,	RV_ERRNO },

    { "cap_grant",			2,	RV_ERRNO },
    { "cap_revoke",			2,	RV_ERRNO },
    { "physmem_map",			4,	RV_ERRNO },
    { "iospace_enable",			1,	RV_ERRNO },
    { "preempt_control",		1,	RV_ERRNO },

    { "sysinfo_valid",			2,	RV_HASH },
    { "sysinfo_value",			2,	RV_HASH },
    { "debug_enable_console",		0,	RV_ERRNO },
    { "ipc_connect_kbox",		1,	RV_ERRNO }
};

/** @}
 */
